Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 134086)
+++ apps/app_queue.c	(working copy)
@@ -113,7 +113,7 @@
 	QUEUE_STRATEGY_LEASTRECENT,
 	QUEUE_STRATEGY_FEWESTCALLS,
 	QUEUE_STRATEGY_RANDOM,
-	QUEUE_STRATEGY_RRMEMORY,
+	QUEUE_STRATEGY_ROUNDROBIN,
 	QUEUE_STRATEGY_LINEAR,
 	QUEUE_STRATEGY_WRANDOM
 };
@@ -126,7 +126,7 @@
 	{ QUEUE_STRATEGY_LEASTRECENT, "leastrecent" },
 	{ QUEUE_STRATEGY_FEWESTCALLS, "fewestcalls" },
 	{ QUEUE_STRATEGY_RANDOM, "random" },
-	{ QUEUE_STRATEGY_RRMEMORY, "rrmemory" },
+	{ QUEUE_STRATEGY_ROUNDROBIN, "roundrobin" },
 	{ QUEUE_STRATEGY_LINEAR, "linear" },
 	{ QUEUE_STRATEGY_WRANDOM, "wrandom"},
 };
@@ -2975,7 +2975,7 @@
 		}
 		tmp->metric += mem->penalty * 1000000;
 		break;
-	case QUEUE_STRATEGY_RRMEMORY:
+	case QUEUE_STRATEGY_ROUNDROBIN:
 		if (pos < q->rrpos) {
 			tmp->metric = 1000 + pos;
 		} else {
@@ -3250,7 +3250,7 @@
 			ast_set_flag(&(bridge_config.features_caller), AST_FEATURE_PARKCALL);
 			break;
 		case 'n':
-			if (qe->parent->strategy == QUEUE_STRATEGY_RRMEMORY || qe->parent->strategy == QUEUE_STRATEGY_LINEAR)
+			if (qe->parent->strategy == QUEUE_STRATEGY_ROUNDROBIN || qe->parent->strategy == QUEUE_STRATEGY_LINEAR)
 				(*tries)++;
 			else
 				*tries = qe->parent->membercount;
@@ -3398,7 +3398,7 @@
 		ast_channel_datastore_free(datastore);
 	}
 	ao2_lock(qe->parent);
-	if (qe->parent->strategy == QUEUE_STRATEGY_RRMEMORY) {
+	if (qe->parent->strategy == QUEUE_STRATEGY_ROUNDROBIN) {
 		store_next_rr(qe, outgoing);
 	}
 	if (qe->parent->strategy == QUEUE_STRATEGY_LINEAR) {
Index: UPGRADE.txt
===================================================================
--- UPGRADE.txt	(revision 134086)
+++ UPGRADE.txt	(working copy)
@@ -218,6 +218,7 @@
 
 * queues.conf: the queue-lessthan sound file option is no longer available, and the
   queue-round-seconds option no longer takes '1' as a valid parameter.
+  Strategy 'rrmemory' no longer exist, was replaced by 'roundrobin'.  
 
 Manager:
 
Index: configs/queues.conf.sample
===================================================================
--- configs/queues.conf.sample	(revision 134086)
+++ configs/queues.conf.sample	(working copy)
@@ -92,7 +92,7 @@
 ; leastrecent - ring interface which was least recently called by this queue
 ; fewestcalls - ring the one with fewest completed calls from this queue
 ; random - ring random interface
-; rrmemory - round robin with memory, remember where we left off last ring pass
+; roundrobin - round robin with memory, remember where we left off last ring pass
 ; linear - rings interfaces in the order specified in this configuration file.
 ;          If you use dynamic members, the members will be rung in the order in
 ;          which they were added
